# MiniMax Lyrics - Documentation

> For the complete documentation index, see [llms.txt](/llms.txt). Markdown is available with `Accept: text/markdown` and `.md` URL variants.

Source: /docs/api-reference/model-apis-minimax-music-lyrics

# MiniMax Lyrics

POST

/

v3

/

minimax-music-lyrics

MiniMax Lyrics

cURL

```
curl --request POST \
--url https://api.novita.ai/v3/minimax-music-lyrics \
--header 'Authorization: &#x3C;authorization>' \
--header 'Content-Type: &#x3C;content-type>' \
--data '
{
"mode": "&#x3C;string>",
"title": "&#x3C;string>",
"lyrics": "&#x3C;string>",
"prompt": "&#x3C;string>"
}
'
```

```
import requestsurl = "https://api.novita.ai/v3/minimax-music-lyrics"payload = { "mode": "&#x3C;string>", "title": "&#x3C;string>", "lyrics": "&#x3C;string>", "prompt": "&#x3C;string>"}headers = { "Content-Type": "&#x3C;content-type>", "Authorization": "&#x3C;authorization>"}response = requests.post(url, json=payload, headers=headers)print(response.text)
```

```
const options = { method: 'POST', headers: {'Content-Type': '&#x3C;content-type>', Authorization: '&#x3C;authorization>'}, body: JSON.stringify({mode: '&#x3C;string>', title: '&#x3C;string>', lyrics: '&#x3C;string>', prompt: '&#x3C;string>'})};fetch('https://api.novita.ai/v3/minimax-music-lyrics', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
```

```
&#x3C;?php$curl = curl_init();curl_setopt_array($curl, [ CURLOPT_URL => "https://api.novita.ai/v3/minimax-music-lyrics", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "POST", CURLOPT_POSTFIELDS => json_encode([ 'mode' => '&#x3C;string>', 'title' => '&#x3C;string>', 'lyrics' => '&#x3C;string>', 'prompt' => '&#x3C;string>' ]), CURLOPT_HTTPHEADER => [ "Authorization: &#x3C;authorization>", "Content-Type: &#x3C;content-type>" ],]);$response = curl_exec($curl);$err = curl_error($curl);curl_close($curl);if ($err) { echo "cURL Error #:" . $err;} else { echo $response;}
```

```
package mainimport (	"fmt"	"strings"	"net/http"	"io")func main() {	url := "https://api.novita.ai/v3/minimax-music-lyrics"	payload := strings.NewReader("{\n \"mode\": \"&#x3C;string>\",\n \"title\": \"&#x3C;string>\",\n \"lyrics\": \"&#x3C;string>\",\n \"prompt\": \"&#x3C;string>\"\n}")	req, _ := http.NewRequest("POST", url, payload)	req.Header.Add("Content-Type", "&#x3C;content-type>")	req.Header.Add("Authorization", "&#x3C;authorization>")	res, _ := http.DefaultClient.Do(req)	defer res.Body.Close()	body, _ := io.ReadAll(res.Body)	fmt.Println(string(body))}
```

```
HttpResponse&#x3C;String> response = Unirest.post("https://api.novita.ai/v3/minimax-music-lyrics") .header("Content-Type", "&#x3C;content-type>") .header("Authorization", "&#x3C;authorization>") .body("{\n \"mode\": \"&#x3C;string>\",\n \"title\": \"&#x3C;string>\",\n \"lyrics\": \"&#x3C;string>\",\n \"prompt\": \"&#x3C;string>\"\n}") .asString();
```

```
require 'uri'require 'net/http'url = URI("https://api.novita.ai/v3/minimax-music-lyrics")http = Net::HTTP.new(url.host, url.port)http.use_ssl = truerequest = Net::HTTP::Post.new(url)request["Content-Type"] = '&#x3C;content-type>'request["Authorization"] = '&#x3C;authorization>'request.body = "{\n \"mode\": \"&#x3C;string>\",\n \"title\": \"&#x3C;string>\",\n \"lyrics\": \"&#x3C;string>\",\n \"prompt\": \"&#x3C;string>\"\n}"response = http.request(request)puts response.read_body
```

200

```
{
"lyrics": "&#x3C;string>",
"song_title": "&#x3C;string>",
"style_tags": "&#x3C;string>"
}
```

MiniMax AI lyrics generation model that supports composing complete songs or editing existing lyrics, with structure tags ready for music generation

##

[​](#request-headers)

Request Headers

[​](#param-content-type)

Content-Type

string

required

Supports: `application/json`

[​](#param-authorization)

Authorization

string

required

Bearer authentication format, for example: Bearer {{API Key}}.

##

[​](#request-body)

Request Body

[​](#param-mode)

mode

string

required

Generation mode. write_full_song: compose a complete song; edit: edit or continue existing lyricsOptional values: `write_full_song`, `edit`

[​](#param-title)

title

string

Song title. When provided, output preserves this title unchanged

[​](#param-lyrics)

lyrics

string

Existing lyrics content; only effective in edit mode. Can be used to continue or modify existing lyricsLength limit: 0 - 3500

[​](#param-prompt)

prompt

string

Instructions describing song theme, style, or editing direction. Random generation when emptyLength limit: 0 - 2000

##

[​](#response)

Response

[​](#param-lyrics-1)

lyrics

string

Generated lyrics with structure tags, ready for music generation API

[​](#param-song-title)

song_title

string

Generated song title

[​](#param-style-tags)

style_tags

string

Comma-separated style tags

Last modified on April 2, 2026
